@{
    ViewData["Title"] = "PPDB Input Observasi";
}
<section class="section">
    <div class="section-header">
        <h1>Input Observasi</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Ppdb</a></div>
            <div class="breadcrumb-item active"><a href="#">Input Observasi</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data">
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
            <div style="margin-top:-1px">
                Ups! <span id="InfoEmptyData"> Sepertinya tidak ada data</span><br /><br />
                @*<button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Baru</button>*@
            </div>
        </div>
    </div>
    <div class="section-body" id="data" style="display:none;">
        <div class="card" id="ListData">
            <div class="card-header form-row">
                <h4 class="col-md-6">List Data</h4>
                <div class="col-md-6 text-right">
                    <a href="/api/ppdbs/DownloadInputObservasi" target="_blank" class="btn btn-primary btn-flat"><i class="fa fa-file-excel-o"></i> Download File</a>
                    <button type="button" onclick="OpenModalUpload();" class="btn btn-dark btn-flat"><i class="fa fa-upload"></i> Upload Massal</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>No. Pendaftaran</th>
                                <th>Nama</th>
                                <th>Kategori</th>
                                <th>Jenis Daftar</th>
                                <th>Status</th>
                                <th>Anak pegawai</th>
                                <th>Jalur Daftar</th>
                                <th>Unit</th>
                                <th>Kelas</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>No. Pendaftaran</th>
                                <th>Nama</th>
                                <th>Kategori</th>
                                <th>Jenis Daftar</th>
                                <th>Status</th>
                                <th>Anak pegawai</th>
                                <th>Jalur Daftar</th>
                                <th>Unit</th>
                                <th>Kelas</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalPreview" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="TitleFormGantiPassword">Input Observasi</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormAbsensi" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="alert alert-primary" id="DivInfoLembarKomitmen" style="display:none">
                                <i class="fa fa-bullhorn"></i> Peserta ini belum melakukan upload <u>file lembar komitmen</u>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="alert alert-warning" id="DivInfoSodara" style="display:none">
                                <i class="fa fa-bullhorn"></i> Peserta ini memiliki <u>saudara kandung</u> di attaufiq, namanya : <code><span id="InfoNamaSodara">Sedang Memuat</span></code>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="alert alert-success" id="DivInfoAnakPegawai" style="display:none">
                                <i class="fa fa-user"></i> Peserta ini ialah anak dari salah satu pegawai di attaufiq, yaitu : <b><u><span id="InfoNamaPegawai">Sedang Memuat</span></u></b>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="alert alert-info" id="DivInfoCatatanProses" style="display:none">
                                <i class="fa fa-newspaper-o"></i><b> **PENTING</b> Catatan untuk anda : <code><span id="InfoCatatanProses">Sedang Memuat</span></code>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <p>
                                <a data-toggle="collapse" href="#collapseDataSiswa" role="button" aria-expanded="false" aria-controls="collapseDataSiswa">
                                    <i class="fa fa-eye"></i> Klik untuk melihat detil calon pendaftar
                                </a>
                            </p>
                            <div class="collapse" id="collapseDataSiswa">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Nomor Pendaftaran:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="IdPpdbDaftar" name="IdPpdbDaftar" class="form-control" readonly />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Kategori Daftar:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="JenisKategoriPendaftaran" name="JenisKategoriPendaftaran" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Jenis Daftar:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="JenisPendaftaran" name="JenisPendaftaran" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Jalur Daftar:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="JalurPendaftaran" name="JalurPendaftaran" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Unit:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="Unit" name="Unit" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Kelas:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="Kelas" name="Kelas" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Nama:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="Nama" name="Nama" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Jenis Kelamin:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="KdJenisKelamin" name="KdJenisKelamin" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Tempat Lahir:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="TempatLahir" name="TempatLahir" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Tanggal Lahir:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="TanggalLahir" name="TanggalLahir" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Email:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="Email" name="Email" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Nomor HP:</label>
                                            <div class="col-sm-9">
                                                <input type="text" id="NoHandphone" name="NoHandphone" class="form-control" disabled />
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Seragam:</label>
                                            <div class="col-sm-9">
                                                <select name="IdPpdbSeragam" id="IdPpdbSeragam" class="form-control" disabled>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Agama:</label>
                                            <div class="col-sm-9">
                                                <select name="IdAgama" id="IdAgama" class="form-control" disabled>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Kewarganegaraan:</label>
                                            <div class="col-sm-9">
                                                <select name="IdKewarganegaraan" id="IdKewarganegaraan" class="form-control" disabled>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Tinggal Dengan:</label>
                                            <div class="col-sm-9">
                                                <select name="IdTinggal" id="IdTinggal" class="form-control" disabled>
                                                </select>
                                            </div>
                                        </div>
                                         <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Transportasi:</label>
                                            <div class="col-sm-9">
                                                <select name="IdTransportasi" id="IdTransportasi" class="form-control" disabled>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Golongan Darah:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="KdGolonganDarah" id="KdGolonganDarah" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Alamat Tinggal:</label>
                                            <div class="col-sm-9">
                                                <textarea name="AlamatTinggal" id="AlamatTinggal" class="form-control" style="height:60px" disabled>
                                                </textarea>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Nomor Darurat:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="NoDarurat" id="NoDarurat" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Tinggi Badan:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="TinggiBadan" id="TinggiBadan" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Berat Badan:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="BeratBadan" id="BeratBadan" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Anak Ke:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="AnakKe" id="AnakKe" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Jml Saudara Kandung:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="JumlahSodaraKandung" id="JumlahSodaraKandung" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Jml Saudara Tiri:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="JumlahSodaraTiri" id="JumlahSodaraTiri" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Jml Saudara Angkat:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="JumlahSodaraAngkat" id="JumlahSodaraAngkat" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Jarak Ke Sekolah:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="JarakKeSekolah" id="JarakKeSekolah" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Waktu Tempuh:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="WaktuTempuh" id="WaktuTempuh" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Penyakit Diderita:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="PenyakitDiderita" id="PenyakitDiderita" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Kelainan Jasmani:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="KelainanJasmani" id="KelainanJasmani" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Sekolah Asal:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="SekolahAsal" id="SekolahAsal" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">Alamat Sekolah Asal:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="AlamatSekolahAsal" id="AlamatSekolahAsal" class="form-control" disabled>
                                            </div>
                                        </div>
                                        <div class="form-group form-row">
                                            <label class="col-form-label col-sm-3" style="text-align:left;">NPSN Sekolah Asal:</label>
                                            <div class="col-sm-9">
                                                <input type="text" name="NspnSekolahAsal" id="NspnSekolahAsal" class="form-control" disabled>
                                            </div>
                                        </div>
                                    </div>

                                    <hr style="width:100%" />
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12" id="DivInputObservasi">
                            
                            <div class="form-group form-row">
                                <label class="col-form-label col-sm-3" style="text-align:left;">Nama:</label>
                                <div class="col-sm-9">
                                    <input type="text" id="NamaPeserta" name="NamaPeserta" class="form-control" readonly />
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-form-label col-sm-3" style="text-align:left;">Status Hasil Observasi:</label>
                                <div class="col-sm-9">
                                    <select name="StatusHasilObservasi" id="StatusHasilObservasi" class="form-control">
                                    </select>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-form-label col-sm-3" style="text-align:left;">Catatan:</label>
                                <div class="col-sm-9">
                                    <textarea type="text" id="Catatan" name="Catatan" class="form-control" style="height:100px" placeholder="Ketikan Catatan (opsional)"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <p>
                                <a data-toggle="collapse" href="#collapseTagPpdb" class="btn btn-primary" role="button" aria-expanded="false" aria-controls="collapseTagPpdb">
                                    <i class="fa fa-eye"></i> Lihat Tagihan PPDB
                                </a>
                            </p>
                            <div class="collapse" id="collapseTagPpdb">
                                <div class="row" id="DivTagPpdb">
                                </div>

                                    <p>
                                        <a data-toggle="collapse" href="#collapseCicilPpdb" class="btn btn-primary" role="button" aria-expanded="false" aria-controls="collapseCicilPpdb">
                                            <i class="fa fa-eye"></i> Pembayaran dicicil
                                        </a>
                                    </p>
                                    <div class="collapse" id="collapseCicilPpdb">
                                        <a href="javascript:void(0);" onclick="CreateFormCicils()"><i class="fa fa-plus"></i> Tambah form cicil </a>
                                        <br />
                                        <br />
                                        <div class="bg-primary" style="padding:20px 20px 0px 20px">
                                        <div class="row" id="DivFormCicils">
                                            @* <div class="col-md-6">
                                                <div class="form-group form-row">
                                                    <label class="col-form-label col-sm-3" style="text-align:left;color:white">Cilcil Ke:</label>
                                                    <div class="col-sm-9">
                                                        <input type="text" id="IdJenisBiayaPpdb" name="IdJenisBiayaPpdb" class="form-control" readonly />
                                                    </div>
                                                </div>
                                                <div class="form-group form-row">
                                                    <label class="col-form-label col-sm-3" style="text-align:left;color:white">Jumlah:</label>
                                                    <div class="col-sm-9">
                                                        <input type="text" id="RpCilKe" name="RpCilKe" class="form-control" />
                                                    </div>
                                                </div>
                                                <div class="form-group form-row">
                                                    <label class="col-form-label col-sm-3" style="text-align:left;color:white">Tanggal:</label>
                                                    <div class="col-sm-9">
                                                        <input type="text" id="RpCilKe" name="RpCilKe" class="form-control" data-toggle="datepicker" />
                                                    </div>
                                                </div>
                                            </div> *@
                                        </div>
                                        </div>
                                    </div>

                            </div>
                        </div>
                        
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> Kembali</button>
                <button type="button" class="btn btn-primary" id="BtnObservasi" onclick="InputObservasi();" disabled><i class="fa fa-user-plus"></i> Kirim</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalUploadMassal">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Upload Massal</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormUploadInputObservasi" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group">
                        <label class="col-form-label font-weight-bold">File</label>
                        <input type="file" class="form-control" name="FileUpload" />
                    </div>
                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-6"><button type="button" data-dismiss="modal" class="btn btn-dark btn-block"><i class="fa fa-repeat"></i> Kembali</button></div>
                            <div class="col-sm-6"><button type="button" onclick="SaveUploadMassal();" class="btn btn-primary btn-block"><i class="fa fa-save"></i> Upload Data</button></div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>